Index: branches/LMDZ_WRFmeas_develop/WRFV3/lmdz/physiq.F90
===================================================================
--- branches/LMDZ_WRFmeas_develop/WRFV3/lmdz/physiq.F90	(revision 151)
+++ branches/LMDZ_WRFmeas_develop/WRFV3/lmdz/physiq.F90	(revision 152)
@@ -1304,5 +1304,5 @@
 
 ! L. Fita, LMD August 2014
-      CHARACTER(LEN=50)                                  :: errmsg, fname, varname
+      CHARACTER(LEN=50)                                  :: errmsg, fname, varnamechk
       CHARACTER(LEN=50)                                  :: jDS, jHS
       LOGICAL                                            :: found
@@ -1321,18 +1321,18 @@
 
       fname = 'Entering in physic at day= '//TRIM(jDS)//' hour: '//TRIM(jHS)
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 
@@ -1877,18 +1877,18 @@
       WRITE(jDS,'I5')itap
       fname = 'After itap= '//TRIM(jDS)
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c
@@ -2008,18 +2008,18 @@
       PRINT *,'  Lluis 1 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After dynamic'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c Diagnostiquer la tendance dynamique
@@ -2184,18 +2184,18 @@
       PRINT *,'  Lluis 2 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After reevap'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 !c
 !c=========================================================================
@@ -2305,18 +2305,18 @@
 
       fname = 'After pbl_surface'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !-----------------------------------------------------------------------------------------
@@ -2351,18 +2351,18 @@
       PRINT *,'  Lluis 3 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After surface_main'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c =================================================================== c
@@ -2728,18 +2728,18 @@
       PRINT *,'  Lluis 4 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After convection'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
       IF (check) THEN
@@ -2857,18 +2857,18 @@
       PRINT *,'  Lluis 5 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After wakes'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c      print*,'apres callwake iflag_cldcon=', iflag_cldcon
@@ -3100,18 +3100,18 @@
       PRINT *,'  Lluis 6 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After thermals'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c-------------------------------------------------------------------------
@@ -3182,18 +3182,18 @@
       PRINT *,'  Lluis 7 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After firstilp'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
       if (mydebug) then
@@ -3430,18 +3430,18 @@
       PRINT *,'  Lluis 8 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After coupling convection+thermics+wakes'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c
@@ -3815,18 +3815,18 @@
       PRINT *,'  Lluis 9 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After radiation'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !c
@@ -4006,18 +4006,18 @@
       PRINT *,'  Lluis 10 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'after orography'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 !c
 !c
@@ -4133,18 +4133,18 @@
 !c
       fname = 'after phytrac'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
 !================================================================
@@ -4161,20 +4161,20 @@
 
       fname = 'after ener_conserv'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
-      varname = 'd_t_ec'
-      CALL check_var3D(fname, varname, d_t_ec, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'd_t_ec'
+      CALL check_var3D(fname, varnamechk, d_t_ec, klon, klev, largest, .FALSE.)
 
 !IM
@@ -4202,18 +4202,18 @@
       PRINT *,'  Lluis 11 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
       fname = 'After everything, writting'
-      varname = 'paprs'
-      CALL check_var3D(fname, varname, paprs, klon, klev+1, largest, .FALSE.)
-      varname = 'pplay'
-      CALL check_var3D(fname, varname, pplay, klon, klev, largest, .FALSE.)
-      varname = 'pphi'
-      CALL check_var3D(fname, varname, pphi, klon, klev, largest, .FALSE.)
-      varname = 't_seri'
-      CALL check_var3D(fname, varname, t_seri, klon, klev, largest, .FALSE.)
-      varname = 'u_seri'
-      CALL check_var3D(fname, varname, u_seri, klon, klev, largest, .FALSE.)
-      varname = 'v_seri'
-      CALL check_var3D(fname, varname, v_seri, klon, klev, largest, .FALSE.)
-      varname = 'q_seri'
-      CALL check_var3D(fname, varname, q_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'paprs'
+      CALL check_var3D(fname, varnamechk, paprs, klon, klev+1, largest, .FALSE.)
+      varnamechk = 'pplay'
+      CALL check_var3D(fname, varnamechk, pplay, klon, klev, largest, .FALSE.)
+      varnamechk = 'pphi'
+      CALL check_var3D(fname, varnamechk, pphi, klon, klev, largest, .FALSE.)
+      varnamechk = 't_seri'
+      CALL check_var3D(fname, varnamechk, t_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'u_seri'
+      CALL check_var3D(fname, varnamechk, u_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'v_seri'
+      CALL check_var3D(fname, varnamechk, v_seri, klon, klev, largest, .FALSE.)
+      varnamechk = 'q_seri'
+      CALL check_var3D(fname, varnamechk, q_seri, klon, klev, largest, .FALSE.)
 
       PRINT *,'Lluis Reaching the SORTIES point'