Index: trunk/WRFV3/run/namelist.input
===================================================================
--- trunk/WRFV3/run/namelist.input	(revision 14)
+++ 	(revision )
@@ -1,115 +1,0 @@
- &time_control
- run_days                            = 0,
- run_hours                           = 0,
- run_minutes                         = 0,
- run_seconds                         = 0,
- start_year                          = 1995,
- start_month                         = 01, 
- start_day                           = 13,
- start_hour                          = 00,
- start_minute                        = 00,
- start_second                        = 00,
- end_year                            = 1995,
- end_month                           = 01, 
- end_day                             = 18,
- end_hour                            = 00,
- end_minute                          = 00,
- end_second                          = 00,
- history_interval                    = 30,
- interval_seconds                    = 21600 
- input_from_file                     = .true.,
- frames_per_outfile                  = 240,
- restart                             = .false.,
- restart_interval_h                  = 120,
- io_form_history                     = 2
- io_form_restart                     = 2
- io_form_input                       = 2
- io_form_boundary                    = 2
- auxinput4_inname                    = 'wrflowinp_d<domain>'
- auxinput4_interval                  = 360, 
- io_form_auxinput4                   = 2
- override_restart_timers             = .true.
- debug_level                         = 0
- /
-
- &domains
- time_step                           = 180 
- time_step_fract_num                 = 00
- time_step_fract_den                 = 1
- max_dom                             = 1,
- e_we                                = 80, 
- e_sn                                = 90, 
- e_vert                              = 39,
- p_top_requested                     = 1000,
- num_metgrid_levels                  = 38,
- num_metgrid_soil_levels             = 4,
- dx                                  = 20000.,
- dy                                  = 20000.,
- grid_id                             = 1,   
- parent_id                           = 0,  
- i_parent_start                      = 1,  
- j_parent_start                      = 1,  
- parent_grid_ratio                   = 1,  
- parent_time_step_ratio              = 1, 
- feedback                            = 1,
- smooth_option                       = 0
- bottom_top_plus1                    = 39,
- max_lidar_locs                      = 20,
- /
-
- &physics
- mp_physics                          = 0, 
- ra_lw_physics                       = 0, 
- ra_sw_physics                       = 0, 
- radt                                = 120,
- sf_sfclay_physics                   = 0, 
- sf_surface_physics                  = 0, 
- bl_pbl_physics                      = 0, 
- bldt                                = 0, 
- cu_physics                          = 0, 
- cudt                                = 0, 
- isfflx                              = 1,
- ifsnow                              = 0,
- icloud                              = 1,
- surface_input_source                = 1,
- num_soil_layers                     = 5,
- mp_zero_out                         = 0,
- sst_update                          = 1
- /
-
- &fdda
- /
-
- &dynamics
- diff_opt                            = 0,
- km_opt                              = 0,
- damp_opt                            = 3,
- base_temp                           = 290.
- zdamp                               = 5000., 
- dampcoef                            = 0.2,  
- khdif                               = 0,   
- kvdif                               = 0,   
- non_hydrostatic                     = .true.,
- moist_adv_opt                       = 0,    
- scalar_adv_opt                      = 0,   
- chem_adv_opt                        = 0,  
- tke_adv_opt                         = 0,  
- fft_filter_lat                      = 75.,
- w_damping                           = 1,
- /
-
- &bdy_control
-  spec_bdy_width           = 5,
-  spec_zone                = 1,
-  relax_zone               = 4,
-  specified                = .true.,
-  nested                   = .false.,
- /
-
- &grib2
- /
-
- &namelist_quilt
- nio_tasks_per_group = 0,
- nio_groups = 1,
- /
Index: trunk/WRFV3/run/namelist.input.backup
===================================================================
--- trunk/WRFV3/run/namelist.input.backup	(revision 14)
+++ trunk/WRFV3/run/namelist.input.backup	(revision 175)
@@ -0,0 +1,115 @@
+ &time_control
+ run_days                            = 0,
+ run_hours                           = 0,
+ run_minutes                         = 0,
+ run_seconds                         = 0,
+ start_year                          = 1995,
+ start_month                         = 01, 
+ start_day                           = 13,
+ start_hour                          = 00,
+ start_minute                        = 00,
+ start_second                        = 00,
+ end_year                            = 1995,
+ end_month                           = 01, 
+ end_day                             = 18,
+ end_hour                            = 00,
+ end_minute                          = 00,
+ end_second                          = 00,
+ history_interval                    = 30,
+ interval_seconds                    = 21600 
+ input_from_file                     = .true.,
+ frames_per_outfile                  = 240,
+ restart                             = .false.,
+ restart_interval_h                  = 120,
+ io_form_history                     = 2
+ io_form_restart                     = 2
+ io_form_input                       = 2
+ io_form_boundary                    = 2
+ auxinput4_inname                    = 'wrflowinp_d<domain>'
+ auxinput4_interval                  = 360, 
+ io_form_auxinput4                   = 2
+ override_restart_timers             = .true.
+ debug_level                         = 0
+ /
+
+ &domains
+ time_step                           = 180 
+ time_step_fract_num                 = 00
+ time_step_fract_den                 = 1
+ max_dom                             = 1,
+ e_we                                = 80, 
+ e_sn                                = 90, 
+ e_vert                              = 39,
+ p_top_requested                     = 1000,
+ num_metgrid_levels                  = 38,
+ num_metgrid_soil_levels             = 4,
+ dx                                  = 20000.,
+ dy                                  = 20000.,
+ grid_id                             = 1,   
+ parent_id                           = 0,  
+ i_parent_start                      = 1,  
+ j_parent_start                      = 1,  
+ parent_grid_ratio                   = 1,  
+ parent_time_step_ratio              = 1, 
+ feedback                            = 1,
+ smooth_option                       = 0
+ bottom_top_plus1                    = 39,
+ max_lidar_locs                      = 20,
+ /
+
+ &physics
+ mp_physics                          = 0, 
+ ra_lw_physics                       = 0, 
+ ra_sw_physics                       = 0, 
+ radt                                = 120,
+ sf_sfclay_physics                   = 0, 
+ sf_surface_physics                  = 0, 
+ bl_pbl_physics                      = 0, 
+ bldt                                = 0, 
+ cu_physics                          = 0, 
+ cudt                                = 0, 
+ isfflx                              = 1,
+ ifsnow                              = 0,
+ icloud                              = 1,
+ surface_input_source                = 1,
+ num_soil_layers                     = 5,
+ mp_zero_out                         = 0,
+ sst_update                          = 1
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ diff_opt                            = 0,
+ km_opt                              = 0,
+ damp_opt                            = 3,
+ base_temp                           = 290.
+ zdamp                               = 5000., 
+ dampcoef                            = 0.2,  
+ khdif                               = 0,   
+ kvdif                               = 0,   
+ non_hydrostatic                     = .true.,
+ moist_adv_opt                       = 0,    
+ scalar_adv_opt                      = 0,   
+ chem_adv_opt                        = 0,  
+ tke_adv_opt                         = 0,  
+ fft_filter_lat                      = 75.,
+ w_damping                           = 1,
+ /
+
+ &bdy_control
+  spec_bdy_width           = 5,
+  spec_zone                = 1,
+  relax_zone               = 4,
+  specified                = .true.,
+  nested                   = .false.,
+ /
+
+ &grib2
+ /
+
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /
Index: trunk/WRFV3/run/namelist.input.orig
===================================================================
--- trunk/WRFV3/run/namelist.input.orig	(revision 175)
+++ trunk/WRFV3/run/namelist.input.orig	(revision 175)
@@ -0,0 +1,107 @@
+ &time_control
+ run_days                            = 0,
+ run_hours                           = 12,
+ run_minutes                         = 0,
+ run_seconds                         = 0,
+ start_year                          = 2000, 2000, 2000,
+ start_month                         = 01,   01,   01,
+ start_day                           = 24,   24,   24,
+ start_hour                          = 12,   12,   12,
+ start_minute                        = 00,   00,   00,
+ start_second                        = 00,   00,   00,
+ end_year                            = 2000, 2000, 2000,
+ end_month                           = 01,   01,   01,
+ end_day                             = 25,   25,   25,
+ end_hour                            = 12,   12,   12,
+ end_minute                          = 00,   00,   00,
+ end_second                          = 00,   00,   00,
+ interval_seconds                    = 21600
+ input_from_file                     = .true.,.true.,.true.,
+ history_interval                    = 180,  60,   60,
+ frames_per_outfile                  = 1000, 1000, 1000,
+ restart                             = .false.,
+ restart_interval                    = 5000,
+ io_form_history                     = 2
+ io_form_restart                     = 2
+ io_form_input                       = 2
+ io_form_boundary                    = 2
+ debug_level                         = 0
+ /
+
+ &domains
+ time_step                           = 180,
+ time_step_fract_num                 = 0,
+ time_step_fract_den                 = 1,
+ max_dom                             = 1,
+ e_we                                = 74,    112,   94,
+ e_sn                                = 61,    97,    91,
+ e_vert                              = 28,    28,    28,
+ p_top_requested                     = 5000,
+ num_metgrid_levels                  = 27,
+ num_metgrid_soil_levels             = 4,
+ dx                                  = 30000, 10000,  3333.33,
+ dy                                  = 30000, 10000,  3333.33,
+ grid_id                             = 1,     2,     3,
+ parent_id                           = 0,     1,     2,
+ i_parent_start                      = 1,     31,    30,
+ j_parent_start                      = 1,     17,    30,
+ parent_grid_ratio                   = 1,     3,     3,
+ parent_time_step_ratio              = 1,     3,     3,
+ feedback                            = 1,
+ smooth_option                       = 0
+ /
+
+ &physics
+ mp_physics                          = 3,     3,     3,
+ ra_lw_physics                       = 1,     1,     1,
+ ra_sw_physics                       = 1,     1,     1,
+ radt                                = 30,    30,    30,
+ sf_sfclay_physics                   = 1,     1,     1,
+ sf_surface_physics                  = 2,     2,     2,
+ bl_pbl_physics                      = 1,     1,     1,
+ bldt                                = 0,     0,     0,
+ cu_physics                          = 1,     1,     0,
+ cudt                                = 5,     5,     5,
+ isfflx                              = 1,
+ ifsnow                              = 0,
+ icloud                              = 1,
+ surface_input_source                = 1,
+ num_soil_layers                     = 4,
+ sf_urban_physics                    = 0,     0,     0,
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ w_damping                           = 0,
+ diff_opt                            = 1,
+ km_opt                              = 4,
+ diff_6th_opt                        = 0,      0,      0,
+ diff_6th_factor                     = 0.12,   0.12,   0.12,
+ base_temp                           = 290.
+ damp_opt                            = 0,
+ zdamp                               = 5000.,  5000.,  5000.,
+ dampcoef                            = 0.2,    0.2,    0.2
+ khdif                               = 0,      0,      0,
+ kvdif                               = 0,      0,      0,
+ non_hydrostatic                     = .true., .true., .true.,
+ moist_adv_opt                       = 1,      1,      1,     
+ scalar_adv_opt                      = 1,      1,      1,     
+ /
+
+ &bdy_control
+ spec_bdy_width                      = 5,
+ spec_zone                           = 1,
+ relax_zone                          = 4,
+ specified                           = .true., .false.,.false.,
+ nested                              = .false., .true., .true.,
+ /
+
+ &grib2
+ /
+
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /