Index: trunk/WRFV3/lmdz/calltherm.F90
===================================================================
--- trunk/WRFV3/lmdz/calltherm.F90	(revision 178)
+++ trunk/WRFV3/lmdz/calltherm.F90	(revision 179)
@@ -126,11 +126,12 @@
       endif
 
-! L. Fita, LMD July 2014. Initializing tendencies and variables
-      d_t_the = 0.
-      d_q_the = 0.
-      d_u_the = 0.
-      d_v_the = 0.
-      Alp = 0.
-      Ale = 0.
+! L. Fita, LMD July 2014. Initializing tendencies and variables (should
+!  be done?)
+!      d_t_the = 0.
+!      d_q_the = 0.
+!      d_u_the = 0.
+!      d_v_the = 0.
+!      Alp = 0.
+!      Ale = 0.
 
 ! Incrementer le compteur de la physique
Index: trunk/WRFV3/lmdz/thermcell_main.F90
===================================================================
--- trunk/WRFV3/lmdz/thermcell_main.F90	(revision 178)
+++ trunk/WRFV3/lmdz/thermcell_main.F90	(revision 179)
@@ -251,11 +251,6 @@
 !
 
-! L. Fita, LMD July 2014. Initializing variables. 
+! L. Fita, LMD July 2014. Initializing variables. (Should be done?)
 !   Some not initializated according to values: iflag_trig_bl, iflag_clos_bl
-      PRINT *,'  Lluis debut thermcell_main i Alp_bl Ale_bl __' 
-      DO l=1, ngrid
-        PRINT *, l, Alp_bl(l), Ale_bl(l)
-      END DO
-
 !!     zdthladj = 0.
 !!     pbl_tke_max0 = 0.
@@ -492,5 +487,4 @@
 !      print*,'THERM thermcell_main iflag_thermals_ed=',iflag_thermals_ed
       if (iflag_thermals_ed<=9) then
-         PRINT *,'  Lluis going to thermcell_plume!!!!'
 !         print*,'THERM NOUVELLE/NOUVELLE Arnaud'
          CALL thermcell_plume(itap,ngrid,nlay,ptimestep,ztv,zthl,po,zl,rhobarz,&
@@ -501,5 +495,4 @@
 
       elseif (iflag_thermals_ed>9) then
-         PRINT *,'  Lluis going to thermcellV1_plume!!!!'
 !        print*,'THERM RIO et al 2010, version d Arnaud'
          CALL thermcellV1_plume(itap,ngrid,nlay,ptimestep,ztv,zthl,po,zl,rhobarz,&
@@ -510,6 +503,4 @@
 
       endif
-      PRINT *,'  Lluis in thermcell_main iflag_thermals_ed: ',       &
-        iflag_thermals_ed, ' ig=528 ',zw2(528,:)
 
       if (prt_level.ge.1) print*,'apres thermcell_plume ',lev_out
@@ -610,5 +601,4 @@
      &       detr,zqla,lev_out,lunout1,igout)
 !IM 060508    &       detr,zqla,zmax,lev_out,lunout,igout)
-      PRINT *,'  Lluis after thermcell_flux2 ig=528 zw2: ',zw2(528,:)
 
       if (prt_level.ge.1) print*,'thermcell_main apres thermcell_flux'
@@ -755,5 +745,4 @@
       if (prt_level.ge.10)write(lunout,*)                                &
     &     'WARNING thermcell_main wth2=0. si zw2 > 1.e-10'
-      PRINT *,'  Lluis in thermcell_main ig=528 l wth3 zf2 fraca zw2 ___' 
       do l=1,nlay
          do ig=1,ngrid
@@ -769,8 +758,4 @@
             wth3(ig,l)=zf2*(1-2.*fraca(ig,l))/(1-fraca(ig,l))  &
      &                *zw2(ig,l)*zw2(ig,l)*zw2(ig,l)
-            IF (ig == 528) PRINT *, l, wth3(ig,l), zf2,           &
-               fraca(ig,l), zw2(ig,l)
-!             PRINT *, ig, l, wth3(ig,l), zf2,           &
-!               fraca(ig,l), zw2(ig,l)
             q2(ig,l)=zf2*(zqta(ig,l)*1000.-po(ig,l)*1000.)**2
 !test: on calcul q2/po=ratqsc
@@ -1016,10 +1001,4 @@
       enddo
       enddo
-      PRINT *,'  Lluis in thermcell_main i Alp_bl Srhobarz Swth3 ' //&
-        'Ale_bl Szw2 ______', alp_bl_k
-      DO l=1, ngrid
-        PRINT *, l, Alp_bl(l), SUM(rhobarz(l,:)), SUM(wth3(l,:)),    &
-           Ale_bl(l), SUM(zw2(l,:)) 
-      END DO
 
 !test:calcul de la ponderation des couches pour KE
Index: trunk/WRFV3/lmdz/thermcell_plume.F90
===================================================================
--- trunk/WRFV3/lmdz/thermcell_plume.F90	(revision 178)
+++ trunk/WRFV3/lmdz/thermcell_plume.F90	(revision 179)
@@ -191,9 +191,4 @@
     endif
 enddo
-  PRINT *,'  Lluis in themcell_plume ig actvie l zw2 ztv zlev pphi ___'
-  DO ig=1,ngrid
-    PRINT *,ig, active(ig), 1, zw2(ig,1), ztv(ig,1), zlev(ig,1), pphi(ig,1), &
-      2, zw2(ig,2), ztv(ig,2), zlev(ig,2), pphi(ig,2)
-  END DO
 !
 !==============================================================================
@@ -608,12 +603,12 @@
          do ig=1,ngrid
             if (ztv(ig,l)> ztv(ig,l+1) .and. ztv(ig,1)>=ztv(ig,l) ) then
-! L. Fita, LMD July 2014. Adding IF for zlev == 0.
-               IF ( zlev(ig,l+1) < 0.) THEN
-                 alim_star(ig,l) = 0. 
-               ELSE
+! L. Fita, LMD July 2014. Adding IF for zlev == 0. NOT NEEDED!!
+!!               IF ( zlev(ig,l+1) < 0.) THEN
+!!                 alim_star(ig,l) = 0. 
+!!               ELSE
                  alim_star(ig,l)=MAX((ztv(ig,l)-ztv(ig,l+1)),0.)  &
      &                       *sqrt(zlev(ig,l+1)) 
                  lalim(ig)=l+1
-               END IF
+!!               END IF
                alim_star_tot(ig)=alim_star_tot(ig)+alim_star(ig,l)
             endif
@@ -650,9 +645,4 @@
     endif
 enddo
-  PRINT *,'  Lluis in themcellV1_plume ig actvie l zw2 ztv zlev pphi ___'
-  DO ig=1,ngrid
-    PRINT *,ig, active(ig), 1, zw2(ig,1), ztv(ig,1), zlev(ig,1), pphi(ig,1), &
-      2, zw2(ig,2), ztv(ig,2), zlev(ig,2), pphi(ig,2)
-  END DO
 !
 