Index: /trunk/WRFV3/lmdz/calcul_fluxs_mod.F90
===================================================================
--- /trunk/WRFV3/lmdz/calcul_fluxs_mod.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/calcul_fluxs_mod.F90	(revision 183)
@@ -96,19 +96,4 @@
     INTEGER                                              :: lpt
     lpt = 550
-
-    IF (nisurf == 3) THEN
-      PRINT *,'  Lluis in calcul_fluxs________________________'
-      PRINT *,'    knon: ',knon,' nisurf:' , nisurf, ' dtime: ',dtime
-      PRINT *,'    tsurf: ',tsurf(lpt),' p1lay: ', p1lay(lpt),' cal: ',cal(lpt),' beta: ', beta(lpt) 
-      PRINT *,'    coef1lay: ', coef1lay(lpt),' ps: ', ps(lpt)
-      PRINT *,'    p_rain: ',precip_rain(lpt),' p_snow: ', precip_snow(lpt),' snow: ', snow(lpt)
-      PRINT *,'    qsurf: ', qsurf(lpt)
-      PRINT *,'    radsol: ',radsol(lpt),' dif_grnd: ', dif_grnd(lpt),' t1lay: ', t1lay(lpt)
-      PRINT *,'    q1lay: ', q1lay(lpt),' u1lay: ', u1lay(lpt),' v1lay: ', v1lay(lpt)
-      PRINT *,'    ptAcoef: ', petAcoef(lpt),' peqAcoef: ', peqAcoef(lpt)
-      PRINT *,'    pteBcoef: ', petBcoef(lpt),' peqBcoef: ', peqBcoef(lpt)
-      PRINT *,'    tsurf_new: ', tsurf_new(lpt), ' evap: ',evap(lpt),' fluxlat: ',fluxlat(lpt)
-      PRINT *,'    fluxsens: ', fluxsens(lpt),' dflux_s: ', dflux_s(lpt),' dflux_l: ', dflux_l(lpt)
-    END IF
 
     IF (check) WRITE(*,*)'Entree ', modname,' surface = ',nisurf
Index: /trunk/WRFV3/lmdz/climb_hq_mod.F90
===================================================================
--- /trunk/WRFV3/lmdz/climb_hq_mod.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/climb_hq_mod.F90	(revision 183)
@@ -186,13 +186,4 @@
     Bcoef_Q_out = Bcoef_Q
 
-    PRINT *,'    Lluis in climb_hq_down 1 k dplay dpaprs Kcoefhq gamaq gamah '// &
-      'delp q Ccoef_Q Dcoef_Q Acoef_Q Bcoef_Q local_H ________' 
-
-    DO k=2,klev
-      PRINT *,k,pplay(1,k-1)-pplay(1,k),paprs(1,k-1)-paprs(1,k),Kcoefhq(1,k), &
-        gamaq(1,k),gamah(1,k),delp(1,k),q(1,k),Ccoef_Q(1,k),Dcoef_Q(1,k),     &
-        Acoef_Q(1),Bcoef_Q(1), local_H(1,k)
-    END DO
-
   END SUBROUTINE climb_hq_down
 !
Index: /trunk/WRFV3/lmdz/coefkzmin.F90
===================================================================
--- /trunk/WRFV3/lmdz/coefkzmin.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/coefkzmin.F90	(revision 183)
@@ -114,5 +114,4 @@
          pblhmin(ig)=0.07*ustar(ig)/max(abs(coriol(ig)),2.546e-5)
       enddo
-      PRINT *,'    Fin of coefkzmin k ustar zlev pblhmin qmin kap kn km _____'
          
       do k=2,klev
@@ -126,6 +125,4 @@
             kn(ig,k)=kmin
             km(ig,k)=kmin
-            IF (ig == 1) PRINT *,'    ',k,ustar(ig),zlev(ig,k),pblhmin(ig),&
-              qmin,kap,kn(ig,k),km(ig,k)
          enddo
       enddo
Index: /trunk/WRFV3/lmdz/fisrtilp.F90
===================================================================
--- /trunk/WRFV3/lmdz/fisrtilp.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/fisrtilp.F90	(revision 183)
@@ -139,4 +139,8 @@
   REAL zzz
 
+! Lluis
+  INTEGER lp
+
+
   include "YOETHF.h"
   include "FCTTRE.h"
@@ -147,4 +151,29 @@
   !ym
   zdelq=0.0
+
+! Lluis
+  lp = 449
+  PRINT *,'  Lluis beginning fisrtilp 15,15: 485 ___________________'
+  PRINT *,'    dtime:',dtime,' rain: ',rain(lp), ' snow: ', snow(lp),     &
+   ' iflag_cldcon: ', iflag_cldcon
+  PRINT *,'    k paprs paprs prfl psfl ____'
+  DO i=1, klev+1
+    PRINT *,'   ',i,paprs(lp,i), prfl(lp,i), psfl(lp,i)
+  END DO
+  PRINT *,'    k pplay t q ptconv ratqs d_t d_q d_ql rneb radliq '
+  DO i=1, klev
+    PRINT *,i, pplay(lp,i), t(lp,i), q(lp,i), ptconv(lp,i), ratqs(lp,i),   &
+     d_t(lp,i), d_q(lp,i), d_ql(lp,i), rneb(lp,i), radliq(lp,i)
+  END DO
+  PRINT *,'    k pfrac_impa pfrac_nucl pfrac_1nucl frac_impa ____'
+  DO i=1, klev
+     PRINT *, i, pfrac_impa(lp,i), pfrac_nucl(lp,i), pfrac_1nucl(lp,i),    &
+     frac_impa(lp,i)
+  END DO
+  PRINT *, 'k frac_nucl beta rhcl zqta fraca ztv zpspsk ztla zthl ____'
+  DO i=1, klev
+   PRINT *, i, frac_nucl(lp,i), beta(lp,i), rhcl(lp,i), zqta(lp,i),        &
+     fraca(lp,i), ztv(lp,i), zpspsk(lp,i), ztla(lp,i), zthl(lp,i)
+  END DO
 
   if (prt_level>9)write(lunout,*)'NUAGES4 A. JAM'
@@ -240,4 +269,8 @@
   !IM : klevm1
   !ym      klevm1=klev-1
+! Lluis
+!  PRINT *,'  RCPD: ', RCPD,' RVTMP2: ', RVTMP2
+!  PRINT *,'  Lluis lp: ',lp,' k zt zq zmair zcpair zcpeau d_t zrfl rhcl ____'
+  PRINT *,'  Lluis lp: ',lp,' k zt zq zmair zcpair zcpeau d_t zrfl rhcl ____'
   DO k = klev, 1, -1
      !
@@ -266,4 +299,6 @@
            !     C        WRITE (6,*) 'cppluie ', zt(i)-(t(i,k+1)+d_t(i,k+1))
         ENDDO
+!       PRINT *,k, zt(lp), zq(lp), zmair, zcpair, zcpeau, d_t(lp,k+1), &
+!         zrfl(lp)
      ENDIF
      !
@@ -630,3 +665,26 @@
   endif
 
+  PRINT *,'  Lluis end fisrtilp 15,15: 485 ___________________'
+  PRINT *,'    dtime:',dtime,' rain: ',rain(lp), ' snow: ', snow(lp),     &
+   ' iflag_cldcon: ', iflag_cldcon
+  PRINT *,'    k paprs paprs prfl psfl ____'
+  DO i=1, klev+1
+    PRINT *,'   ',i,paprs(lp,i), prfl(lp,i), psfl(lp,i)
+  END DO
+  PRINT *,'    k pplay t q ptconv ratqs d_t d_q d_ql rneb radliq '
+  DO i=1, klev
+    PRINT *,i, pplay(lp,i), t(lp,i), q(lp,i), ptconv(lp,i), ratqs(lp,i),   &
+     d_t(lp,i), d_q(lp,i), d_ql(lp,i), rneb(lp,i), radliq(lp,i)
+  END DO
+  PRINT *,'    k pfrac_impa pfrac_nucl pfrac_1nucl frac_impa ____'
+  DO i=1, klev
+     PRINT *, i, pfrac_impa(lp,i), pfrac_nucl(lp,i), pfrac_1nucl(lp,i),    &
+     frac_impa(lp,i)
+  END DO
+  PRINT *, 'k frac_nucl beta rhcl zqta fraca ztv zpspsk ztla zthl ____'
+  DO i=1, klev
+   PRINT *, i, frac_nucl(lp,i), beta(lp,i), rhcl(lp,i), zqta(lp,i),        &
+     fraca(lp,i), ztv(lp,i), zpspsk(lp,i), ztla(lp,i), zthl(lp,i)
+  END DO
+
 END SUBROUTINE fisrtilp
Index: /trunk/WRFV3/lmdz/ocean_forced_mod.F90
===================================================================
--- /trunk/WRFV3/lmdz/ocean_forced_mod.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/ocean_forced_mod.F90	(revision 183)
@@ -100,12 +100,4 @@
     END DO
 
-    PRINT *,'   Lluis pt tsurf_limit_check tsurf_lim_____'
-    DO i=-10,10
-      PRINT *,lp+i,tsurf_limit(lp+i),tsurf_lim(lpt+i)
-    END DO
-
-    PRINT *,'Lluis in ocean_surface_mod lp= ',lp,' tsurf_limit: ',tsurf_limit(lp),   &
-      ' lpt: ',lpt,' tsurf_lim: ',tsurf_lim(lpt),' knindex: ',knindex(lpt)
-
 !****************************************************************************************
 ! 2)
@@ -125,6 +117,4 @@
     v1_lay(:) = v1(:) - v0(:)
 
-    PRINT *,'  Lluis before calcul_fluxs tsurf_lim:', tsurf_lim(lpt),                &
-      ' tsurf_new: ', tsurf_new(lpt)
 ! Calcul de tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l and qsurf
     CALL calcul_fluxs(knon, is_oce, dtime, &
@@ -134,10 +124,4 @@
          AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
-    PRINT *,'  Lluis after calcul_fluxs tsurf_lim: ', tsurf_lim(lp),' tsurf_new: ',  &
-      tsurf_new(lpt)
-    PRINT *,'    Lluis i knindex tsurf_limit tsurf_lim tsurf_new ___________'
-    DO i=1,knon
-      PRINT *,i,knindex(i),tsurf_limit(knindex(i)),tsurf_lim(i),tsurf_new(i)
-    END DO
 
 ! - Flux calculation at first modele level for U and V
Index: /trunk/WRFV3/lmdz/pbl_surface_mod.F90
===================================================================
--- /trunk/WRFV3/lmdz/pbl_surface_mod.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/pbl_surface_mod.F90	(revision 183)
@@ -501,6 +501,4 @@
 !****************************************************************************************
 
-    PRINT *,'  Lluis in pbl_surface: ts ',lp,ts(lp,:)
-
     IF (first_call) THEN
        first_call=.FALSE.
@@ -606,6 +604,4 @@
        ENDDO
     ENDDO
-    PRINT *,'    Lluis after rugos: ts ',lp,ts(lp,:), ' rugos: ', rugos(lp,:),       &
-      ' alb1: ',alb1(550,:)
 ! Mean calculations of albedo
 !
@@ -628,6 +624,4 @@
        ENDDO
     ENDDO
-    PRINT *,'    Lluis after rugos: ts ',lp,ts(lp,:), ' rugos: ', rugos(lp,:),       &
-      ' alb1: ',alb1(550,:)
 ! We here suppose the fraction f1 of incoming radiance of visible radiance 
 ! as a fraction of all shortwave radiance 
@@ -652,5 +646,4 @@
        ENDDO
     ENDDO
-    PRINT *,'  Lluis ztsol ',lp,' : ',ztsol(lp)
 
 ! Linear distrubution on sub-surface of long- and shortwave net radiance
@@ -661,6 +654,4 @@
        ENDDO
     ENDDO
-    PRINT *,'  Lluis ',lp,' sollw: ',sollw(lp,:),' solsw: ',solsw(lp,:)
-
 
 ! Downwelling longwave radiation at mean surface
@@ -669,6 +660,4 @@
        lwdown_m(i) = sollw_m(i) + RSIGMA*ztsol(i)**4
     ENDDO
-    PRINT *,'  Lluis ',lp,' lwdown_m: ',lwdown_m(lp)
-
 !****************************************************************************************
 ! 4) Loop over different surfaces
@@ -683,12 +672,9 @@
        ni(:) = 0
        knon  = 0
-! Lluis
-       lpt = 1
+
        DO i = 1, klon
           IF (pctsrf(i,nsrf) > 0.) THEN
              knon = knon + 1
              ni(knon) = i
-! Lluis
-             IF (i == lp) lpt = knon
           ENDIF
        ENDDO
@@ -711,5 +697,4 @@
 !****************************************************************************************
 
-       PRINT *,'    Lluis nsrf j i rugos yts_________'
        DO j = 1, knon
           i = ni(j)
@@ -728,5 +713,4 @@
           ysollw(j)  = sollw(i,nsrf)
           yrugos(j)  = rugos(i,nsrf)
-          PRINT *,nsrf,j,i,rugos(i,nsrf),yts(i)
           yrugoro(j) = rugoro(i)
           yu1(j)     = u(i,1)
@@ -735,5 +719,4 @@
           ywindsp(j) = SQRT(u10m(i,nsrf)**2 + v10m(i,nsrf)**2 )
        END DO
-       PRINT *,'  Lluis ', lpt,' yts: ',yts(lpt)
 
        DO k = 1, klev
@@ -757,5 +740,4 @@
           END DO
        END DO
-       PRINT *,'  Lluis ', lpt,' ytsoil: ',ytsoil(lpt,:),' ftsoil: ',ftsoil(ni(lpt),:,nsrf)
 
        ! qsol(water height in soil) only for bucket continental model
@@ -766,5 +748,4 @@
           END DO
        ENDIF
-       PRINT *,'  Lluis ',lpt,' yqsol: ',yqsol(lpt)
        
 !****************************************************************************************
@@ -773,6 +754,4 @@
 !****************************************************************************************
 
-       PRINT *,'  Lluis before clcdrag: yrugos 1:', yrugos(1),' lpt: ',yrugos(lpt),  &
-         ' yts: ',yts(lpt), ' yalb: ',yalb(lpt)
        CALL clcdrag( knon, nsrf, ypaprs, ypplay, & 
             yu(:,1), yv(:,1), yt(:,1), yq(:,1), &
@@ -788,8 +767,4 @@
             ypaprs, ypplay, yu, yv, yq, yt, yts, yrugos, yqsurf, ycdragm, &
             ycoefm, ycoefh, ytke)
-      PRINT *,'  Lluis after coef_diff_turb lpt: ',lpt,' k ycoefm ycoefh ytke ____'
-      DO k=1,klev
-        PRINT *,k,ycoefm(lpt,k),ycoefh(lpt,k),ytke(lpt,k)
-      END DO
        IF (iflag_pbl>=20.AND.iflag_pbl<30) THEN
 ! In this case, coef_diff_turb is called for the Cd only
@@ -813,12 +788,4 @@
 !****************************************************************************************
 
-      PRINT *,'  Lluis before climb_hq_down knon: ',lpt,' dtime: ',dtime,      &  
-        ' AcoefH: ',AcoefH(lpt),' AcoefQ: ',AcoefQ(lpt),' BcoefH: ',BcoefH(lpt),&
-        ' BcoefQ: ',BcoefQ(lpt)
-      PRINT *,'  Lluis before k ycoefh ypaprs ypplay ydelp yt yq ____'
-      DO k=1,klev
-        PRINT *,k,ycoefh(lpt,k),ypaprs(lpt,k),ypplay(lpt,k),ydelp(lpt,k),     &
-          yt(lpt,k),yq(lpt,k)
-      END DO
 ! - Calculate the coefficients Ccoef_H, Ccoef_Q, Dcoef_H and Dcoef_Q 
        CALL climb_hq_down(knon, ycoefh, ypaprs, ypplay, &
@@ -830,10 +797,4 @@
             AcoefU, AcoefV, BcoefU, BcoefV)
       
-      PRINT *,'  Lluis after climb_hq_down knon: ',lpt,' ycoefh: ',ycoefh(lpt,1),&
-        ' ypaprs: ',ypaprs(lpt,1),' ypplay: ',ypplay(lpt,1),' ydelp: ',         &
-        ydelp(lpt,1),' yt: ',yt(lpt,1),' yq: ',yq(lpt,1),' dtime: ',dtime,      & 
-        ' AcoefH: ',AcoefH(lpt),' AcoefQ: ',AcoefQ(lpt),' BcoefH: ',BcoefH(lpt),&
-        ' BcoefQ: ',BcoefQ(lpt)
-
 !****************************************************************************************
 ! 9) Small calculations
@@ -890,5 +851,4 @@
              ylwdown(i)=lwdown_m(ni(i))
           END DO
-          PRINT *,'  Lluis before surf_land lpt=',lpt,' yts', yts(lpt),' yq: ',yq(lpt,1)
           CALL surf_land(itap, dtime, date0, jour, knon, ni,&
                rlon, rlat, &
@@ -918,6 +878,4 @@
           
        CASE(is_oce)
-          PRINT *,'  Lluis before surf_ocean lpt= ',lpt,' yts: ', yts(lpt),         &
-            ' pctsrf: ',pctsrf(lpt,:),' ytsurf_new: ',ytsurf_new(lpt)
           CALL surf_ocean(rlon, rlat, ysolsw, ysollw, yalb1, &
                yrugos, ywindsp, rmu0, yfder, yts, &
@@ -931,11 +889,4 @@
                ytsurf_new, y_dflux_t, y_dflux_q, slab_wfbils, &
                y_flux_u1, y_flux_v1)
-          PRINT *,'  Lluis after surf_ocean lpt= ',lpt,' yts: ', yts(lpt),          &
-            ' pctsrf: ',pctsrf(lpt,:),' ytsurf_new: ',ytsurf_new(lpt), 'ypct: ',    &
-            ypct(lpt)
-!          PRINT *,'     i yts  . pctsrf : ytsurf_new_________'
-!          DO i=1,knon
-!            PRINT *,'    ',i,yts(i), ' . ', pctsrf(i,:),' : ',ytsurf_new(i)
-!          END DO
           
        CASE(is_sic)
@@ -967,7 +918,4 @@
        y_d_ts(1:knon)   = ytsurf_new(1:knon) - yts(1:knon)
 
-       PRINT *,'  Lluis nsrf: ',nsrf,' lpt: ',lpt,' ytsurf_new: ',ytsurf_new(lpt),   &
-         ' yts: ',yts(lpt),' y_d_ts: ',y_d_ts(lpt)
- 
 !****************************************************************************************
 !
@@ -1114,5 +1062,4 @@
 
 !      print*,'Dans pbl OK4'
-    PRINT *,'  Lluis before diagnostics: lp= ',lp,' ts ',lp,ts(lp,:)
 
 !****************************************************************************************
@@ -1237,6 +1184,4 @@
     END DO loop_nbsrf
 
-    PRINT *,'  Lluis after loop soil types: lp= ',lp,' ts ',lp,ts(lp,:)
-
 !****************************************************************************************
 ! 16) Calculate the mean value over all sub-surfaces for som variables
@@ -1279,5 +1224,4 @@
 !   print*,'OK pbl 9'
     
-    PRINT *,'  Lluis adding tendencies: lp= ',lp,' nsrf ts d_ts_______'
     DO nsrf = 1, nbsrf
        DO i = 1, klon          
@@ -1351,6 +1295,4 @@
 !!$       ENDDO
 !!$    ENDDO
-
-    PRINT *,'  Lluis last ts: ',ts(lp,:)
 
     DO i = 1, klon
Index: /trunk/WRFV3/lmdz/physiq.F90
===================================================================
--- /trunk/WRFV3/lmdz/physiq.F90	(revision 182)
+++ /trunk/WRFV3/lmdz/physiq.F90	(revision 183)
@@ -1301,5 +1301,5 @@
 ! L. Fita, LMD. Point for checkings...
       INTEGER                                            :: llp
-      llp = 644
+      llp = 449
 
 !c======================================================================
@@ -2092,4 +2092,12 @@
 !c Re-evaporer l'eau liquide nuageuse
 !c
+      PRINT *,'    Lluis: lp: ',llp,' RLVTT: ', RLVTT,' RCPD: ', RCPD,  &
+        ' RVTMP2: ',RVTMP2, 'RTT: ', RTT
+      PRINT *,'    Lluis k qx_1 qx_2 ql_seri _____'
+      DO k=1,klev
+        PRINT *,k, qx(llp,k,:),ql_seri(llp,k)
+      END DO
+      PRINT *,'    Lluis re-evaporation: k q_seri zlvdcp '//         &
+        ' zlsdc zdelta t_seri za zb ql_seri_____'
       DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
       DO i = 1, klon
@@ -2107,4 +2115,6 @@
          d_q_eva(i,k) = zb
       ENDDO
+        PRINT *,k, q_Seri(llp,k), zlvdcp, zlsdcp, zdelta, t_seri(llp,k),  &
+          za, zb, ql_seri(llp,k)
       ENDDO
 !IM
@@ -2986,4 +2996,12 @@
       END IF 
       PRINT *,'  Lluis 6 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
+      PRINT *,'  Lluis before lp: ',llp,' iflag_ratqs: ', iflag_ratqs, &
+        ' iflag_con: ', iflag_con,' iflag_cldcon: ',iflag_cldcon,      &
+        ' ratqsbas: ', ratqsbas,' ratqshaut: ',ratqshaut,              &
+        ' tau_ratqs: ', tau_ratqs
+      PRINT *,'    ratqs ratqsc _______________' 
+      DO k=1,klev
+        PRINT *, k, ratqs(llp,k), ratqsc(llp,k)
+      END DO
 
 !c-------------------------------------------------------------------------
@@ -2997,4 +3015,12 @@
        &     ratqs,ratqsc)
 
+      PRINT *,'  Lluis after lp: ',llp,' iflag_ratqs: ', iflag_ratqs,  &
+        ' iflag_con: ', iflag_con,' iflag_cldcon: ',iflag_cldcon,      &
+        ' ratqsbas: ', ratqsbas,' ratqshaut: ',ratqshaut,              &
+        ' tau_ratqs: ',tau_ratqs
+      PRINT *,'    ratqs ratqsc _______________' 
+      DO k=1,klev
+        PRINT *, k, ratqs(llp,k), ratqsc(llp,k)
+      END DO
 
 !c
@@ -3005,4 +3031,8 @@
        print *,' ->fisrtilp '
       ENDIF
+      PRINT *,'    Lluis before fisrtilp k t_seri q_seri ql_seri ___'
+      DO k=1,klev
+        PRINT *,k, t_seri(llp,k), q_seri(llp,k), ql_seri(llp,k)
+      END DO
 !c-------------------------------------------------------------------------
       CALL fisrtilp(dtime,paprs,pplay,                                               &
@@ -3014,4 +3044,8 @@
        &           prfl, psfl, rhcl,                                                 &
        &           zqasc, fraca,ztv,zpspsk,ztla,zthl,iflag_cldcon )
+      PRINT *,'    Lluis after fisrtilp k t_seri q_seri ql_seri ___'
+      DO k=1,klev
+        PRINT *,k, t_seri(llp,k), q_seri(llp,k), ql_seri(llp,k)
+      END DO
 
       WHERE (rain_lsc < 0) rain_lsc = 0.
Index: /trunk/WRFV3/phys/module_lmdz_phys.F
===================================================================
--- /trunk/WRFV3/phys/module_lmdz_phys.F	(revision 182)
+++ /trunk/WRFV3/phys/module_lmdz_phys.F	(revision 183)
@@ -1094,5 +1094,5 @@
 
 ! Lluis Testing water species
-    MixingRatioValues(:,:,2)=0.
+!    MixingRatioValues(:,:,2)=MixingRatioValues(:,:,1)*0.2
 
     IF (wrf_dbg >= 200) THEN
@@ -1107,5 +1107,5 @@
 !      lmdzp=ddimx*(jlmdz-1)+ilmdz
 
-      PRINT *,'  WRF+LMDZ lmdzp: ',lmdzp,' : ',ilmdz,jlmdz
+      PRINT *,'  WRF+LMDZ before LMDZ physiq lmdzp: ',lmdzp,' : ',ilmdz,jlmdz
       PRINT *,'k wrf_T wrf_Temp TValues_______________'
       DO iz=1,dimz
@@ -1179,5 +1179,5 @@
 !!    MixingRatiotendValues(:,:,1)=1000.*MixingRatiotendValues(:,:,1)
 !!    MixingRatiotendValues(:,:,1)=MixingRatiotendValues(:,:,1)+MixingRatiotendValues(:,:,2)
-    MixingRatiotendValues(:,:,2)=0.
+!    MixingRatiotendValues(:,:,2)=0.
 
 !!    PRINT *,'  Lluis: outgoing from physiq'
@@ -1258,5 +1258,5 @@
 
     IF (wrf_dbg >= 200) THEN
-      PRINT *,'  WRF+LMDZ lmdzp: ',lmdzp
+      PRINT *,'  WRF+LMDZ after LMDZ physiq lmdzp: ',lmdzp
       PRINT *,'k T tendencies _______________'
       DO iz=1,dimz