Index: trunk/WRFV3/lmdz/cltracrn.F90
===================================================================
--- trunk/WRFV3/lmdz/cltracrn.F90	(revision 185)
+++ trunk/WRFV3/lmdz/cltracrn.F90	(revision 186)
@@ -90,8 +90,4 @@
 !AA que le pondere par la fraction de nature de sol.
 
-  PRINT *,'  Lluis in cltracrn: ftsol', ftsol(550,:)
-  PRINT *,'    UBOUND tr: ',UBOUND(tr),' trs: ',UBOUND(trs)
-  PRINT *,'    tr: ', tr(550,:),' trs: ', trs(550)
- 
   DO i = 1,klon
      zts(i) = 0. 
Index: trunk/WRFV3/lmdz/fisrtilp.F90
===================================================================
--- trunk/WRFV3/lmdz/fisrtilp.F90	(revision 185)
+++ trunk/WRFV3/lmdz/fisrtilp.F90	(revision 186)
@@ -154,26 +154,4 @@
 ! Lluis
   lp = 449
-  PRINT *,'  Lluis beginning fisrtilp 15,15: 485 ___________________'
-  PRINT *,'    dtime:',dtime,' rain: ',rain(lp), ' snow: ', snow(lp),     &
-   ' iflag_cldcon: ', iflag_cldcon
-  PRINT *,'    k paprs paprs prfl psfl ____'
-  DO i=1, klev+1
-    PRINT *,'   ',i,paprs(lp,i), prfl(lp,i), psfl(lp,i)
-  END DO
-  PRINT *,'    k pplay t q ptconv ratqs d_t d_q d_ql rneb radliq '
-  DO i=1, klev
-    PRINT *,i, pplay(lp,i), t(lp,i), q(lp,i), ptconv(lp,i), ratqs(lp,i),   &
-     d_t(lp,i), d_q(lp,i), d_ql(lp,i), rneb(lp,i), radliq(lp,i)
-  END DO
-  PRINT *,'    k pfrac_impa pfrac_nucl pfrac_1nucl frac_impa ____'
-  DO i=1, klev
-     PRINT *, i, pfrac_impa(lp,i), pfrac_nucl(lp,i), pfrac_1nucl(lp,i),    &
-     frac_impa(lp,i)
-  END DO
-  PRINT *, 'k frac_nucl beta rhcl zqta fraca ztv zpspsk ztla zthl ____'
-  DO i=1, klev
-   PRINT *, i, frac_nucl(lp,i), beta(lp,i), rhcl(lp,i), zqta(lp,i),        &
-     fraca(lp,i), ztv(lp,i), zpspsk(lp,i), ztla(lp,i), zthl(lp,i)
-  END DO
 
   if (prt_level>9)write(lunout,*)'NUAGES4 A. JAM'
@@ -269,8 +247,4 @@
   !IM : klevm1
   !ym      klevm1=klev-1
-! Lluis
-!  PRINT *,'  RCPD: ', RCPD,' RVTMP2: ', RVTMP2
-!  PRINT *,'  Lluis lp: ',lp,' k zt zq zmair zcpair zcpeau d_t zrfl rhcl ____'
-  PRINT *,'  Lluis lp: ',lp,' k zt zq zmair zcpair zcpeau d_t zrfl rhcl ____'
   DO k = klev, 1, -1
      !
@@ -299,6 +273,4 @@
            !     C        WRITE (6,*) 'cppluie ', zt(i)-(t(i,k+1)+d_t(i,k+1))
         ENDDO
-!       PRINT *,k, zt(lp), zq(lp), zmair, zcpair, zcpeau, d_t(lp,k+1), &
-!         zrfl(lp)
      ENDIF
      !
@@ -665,26 +637,3 @@
   endif
 
-  PRINT *,'  Lluis end fisrtilp 15,15: 485 ___________________'
-  PRINT *,'    dtime:',dtime,' rain: ',rain(lp), ' snow: ', snow(lp),     &
-   ' iflag_cldcon: ', iflag_cldcon
-  PRINT *,'    k paprs paprs prfl psfl ____'
-  DO i=1, klev+1
-    PRINT *,'   ',i,paprs(lp,i), prfl(lp,i), psfl(lp,i)
-  END DO
-  PRINT *,'    k pplay t q ptconv ratqs d_t d_q d_ql rneb radliq '
-  DO i=1, klev
-    PRINT *,i, pplay(lp,i), t(lp,i), q(lp,i), ptconv(lp,i), ratqs(lp,i),   &
-     d_t(lp,i), d_q(lp,i), d_ql(lp,i), rneb(lp,i), radliq(lp,i)
-  END DO
-  PRINT *,'    k pfrac_impa pfrac_nucl pfrac_1nucl frac_impa ____'
-  DO i=1, klev
-     PRINT *, i, pfrac_impa(lp,i), pfrac_nucl(lp,i), pfrac_1nucl(lp,i),    &
-     frac_impa(lp,i)
-  END DO
-  PRINT *, 'k frac_nucl beta rhcl zqta fraca ztv zpspsk ztla zthl ____'
-  DO i=1, klev
-   PRINT *, i, frac_nucl(lp,i), beta(lp,i), rhcl(lp,i), zqta(lp,i),        &
-     fraca(lp,i), ztv(lp,i), zpspsk(lp,i), ztla(lp,i), zthl(lp,i)
-  END DO
-
 END SUBROUTINE fisrtilp
Index: trunk/WRFV3/lmdz/hgardfou.F90
===================================================================
--- trunk/WRFV3/lmdz/hgardfou.F90	(revision 185)
+++ trunk/WRFV3/lmdz/hgardfou.F90	(revision 186)
@@ -90,5 +90,4 @@
 !c
       DO nsrf = 1, nbsrf
-         PRINT *,'  Lluis nsrf: ',nsrf
          DO i = 1, klon
             IF (pctsrf(i,nsrf) > 0.) THEN
@@ -137,8 +136,4 @@
        &      ,jadrs(i),nsrf,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i))              &
        &      ,pctsrf(jadrs(i),nsrf)
-             PRINT *,'    Lluis: nsrf k isfc tsol zt pctsrf_____'
-             DO k=1,nbsrf
-               PRINT *,'    ',nsrf,k,jadrs(i),tsol(jadrs(i),k),zt(jadrs(i)),pctsrf(jadrs(i),k)
-             END DO
            ENDDO
          ENDIF
Index: trunk/WRFV3/lmdz/limit_read_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/limit_read_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/limit_read_mod.F90	(revision 186)
@@ -119,6 +119,4 @@
     INTEGER :: i
 
-    PRINT *,'  Lluis: knon: ',knon,' sst_out: ',UBOUND(sst_out),' : ',UBOUND(sst), 'x', UBOUND(knindex)
-
     DO i = 1, knon
        sst_out(i) = sst(knindex(i))
Index: trunk/WRFV3/lmdz/phyetat0.F90
===================================================================
--- trunk/WRFV3/lmdz/phyetat0.F90	(revision 185)
+++ trunk/WRFV3/lmdz/phyetat0.F90	(revision 186)
@@ -85,6 +85,4 @@
 
       read_flag=.FALSE.
-
-      PRINT *,'  Lluis in phyetat0 ftsol',ftsol(550,:),' read_flag: ',read_flag
 
 !c
@@ -1163,6 +1161,4 @@
       END IF reading_file
 
-      PRINT *,'  Lluis before init_iophy_new: ftsol: ',ftsol(550,:)
-
 ! L. Fita, LMD. Called inside the non-used if
 !! 
@@ -1172,6 +1168,4 @@
       CALL init_iophy_new(rlat,rlon)
       	
-      PRINT *,'  Lluis after init_iophy_new: ftsol: ',ftsol(550,:)
-
 !c
 !c Initialize module pbl_surface_mod 
@@ -1191,6 +1185,4 @@
 !!      CALL fonte_neige_init(run_off_lic_0)
 
-      PRINT *,'  Lluis leaving phyetat0 ftsol: ',ftsol(550,:)
-
       RETURN
       END SUBROUTINE phyetat0
Index: trunk/WRFV3/lmdz/physiq.F90
===================================================================
--- trunk/WRFV3/lmdz/physiq.F90	(revision 185)
+++ trunk/WRFV3/lmdz/physiq.F90	(revision 186)
@@ -2092,12 +2092,4 @@
 !c Re-evaporer l'eau liquide nuageuse
 !c
-      PRINT *,'    Lluis: lp: ',llp,' RLVTT: ', RLVTT,' RCPD: ', RCPD,  &
-        ' RVTMP2: ',RVTMP2, 'RTT: ', RTT
-      PRINT *,'    Lluis k qx_1 qx_2 ql_seri _____'
-      DO k=1,klev
-        PRINT *,k, qx(llp,k,:),ql_seri(llp,k)
-      END DO
-      PRINT *,'    Lluis re-evaporation: k q_seri zlvdcp '//         &
-        ' zlsdc zdelta t_seri za zb ql_seri_____'
       DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
       DO i = 1, klon
@@ -2115,6 +2107,4 @@
          d_q_eva(i,k) = zb
       ENDDO
-        PRINT *,k, q_Seri(llp,k), zlvdcp, zlsdcp, zdelta, t_seri(llp,k),  &
-          za, zb, ql_seri(llp,k)
       ENDDO
 !IM
@@ -2170,5 +2160,4 @@
 ! non nul aux poles.
       IF (abs(solarlong0-1000.)<1.e-4) then
-         PRINT *,' Lluis calling zenang_an'
          call zenang_an(cycle_diurne,jH_cur,rlat,rlon,rmu0,fract)
       ELSE
@@ -2214,7 +2203,4 @@
 
       if (iflag_pbl/=0) then
-
-      PRINT *,'  Lluis before pbl_surface qsol: ',qsol(llp),    &
-        ' rmu0: ',rmu0(llp),' jH_cur: ',jH_cur,' evap: ',evap(llp)
 
       CALL pbl_surface(                                                              &
@@ -2241,7 +2227,4 @@
        &     dsens,     devap,     zxsnow,                                           &
        &     zxfluxt,   zxfluxq,   q2m,     fluxq, pbl_tke )
-
-      PRINT *,'  Lluis after pbl_surface qsol: ',qsol(llp),    &
-        ' rmu0: ',rmu0(llp),' jH_cur: ',jH_cur,' evap: ',evap(llp)
 
 !-----------------------------------------------------------------------------------------
@@ -2485,11 +2468,4 @@
 !cfin calcul ale et alp
 !c=================================================================================================
-
-       PRINT *,'  Lluis end calc itap: ', itap,' it_wape_prescr: ',&
-         it_wape_prescr,' k ale ale_wake alp alp_bl ale ale_bl _____'
-        DO i=1, klev
-         PRINT *, i, ale(i), ale_wake(i), alp(i),alp_bl(i), ale(i),  &
-           ale_bl(i)
-      END DO
 
 !c sb, oct02:
@@ -2807,11 +2783,4 @@
 !ccc fin nrlmd le 10/04/2012
 
-         PRINT *,'  Lluis before the itap: ', itap,' it_wape_prescr: ',&
-           it_wape_prescr,' k ale ale_wake alp alp_bl ale ale_bl _____'
-          DO i=1, klev
-           PRINT *, i, ale(i), ale_wake(i), alp(i),alp_bl(i), ale(i),  &
-             ale_bl(i)
-         END DO
-
          if (iflag_thermals>=1) then
          call calltherm(pdtphys                                                      &
@@ -2835,11 +2804,4 @@
        &      ,zqla,ztva )
 
-       PRINT *,'  Lluis after the itap: ', itap,' it_wape_prescr: ',&
-         it_wape_prescr,' k ale ale_wake alp alp_bl ale ale_bl _____'
-       DO i=1, klev
-         PRINT *, i, ale(i), ale_wake(i), alp(i),alp_bl(i), ale(i),  &
-          ale_bl(i)
-       END DO
-
 !ccc nrlmd le 10/04/2012
 !c-----------Stochastic triggering-----------
@@ -2996,12 +2958,4 @@
       END IF 
       PRINT *,'  Lluis 6 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
-      PRINT *,'  Lluis before lp: ',llp,' iflag_ratqs: ', iflag_ratqs, &
-        ' iflag_con: ', iflag_con,' iflag_cldcon: ',iflag_cldcon,      &
-        ' ratqsbas: ', ratqsbas,' ratqshaut: ',ratqshaut,              &
-        ' tau_ratqs: ', tau_ratqs
-      PRINT *,'    ratqs ratqsc _______________' 
-      DO k=1,klev
-        PRINT *, k, ratqs(llp,k), ratqsc(llp,k)
-      END DO
 
 !c-------------------------------------------------------------------------
@@ -3015,13 +2969,4 @@
        &     ratqs,ratqsc)
 
-      PRINT *,'  Lluis after lp: ',llp,' iflag_ratqs: ', iflag_ratqs,  &
-        ' iflag_con: ', iflag_con,' iflag_cldcon: ',iflag_cldcon,      &
-        ' ratqsbas: ', ratqsbas,' ratqshaut: ',ratqshaut,              &
-        ' tau_ratqs: ',tau_ratqs
-      PRINT *,'    ratqs ratqsc _______________' 
-      DO k=1,klev
-        PRINT *, k, ratqs(llp,k), ratqsc(llp,k)
-      END DO
-
 !c
 !c Appeler le processus de condensation a grande echelle
@@ -3031,8 +2976,4 @@
        print *,' ->fisrtilp '
       ENDIF
-      PRINT *,'    Lluis before fisrtilp k t_seri q_seri ql_seri ___'
-      DO k=1,klev
-        PRINT *,k, t_seri(llp,k), q_seri(llp,k), ql_seri(llp,k)
-      END DO
 !c-------------------------------------------------------------------------
       CALL fisrtilp(dtime,paprs,pplay,                                               &
@@ -3044,8 +2985,4 @@
        &           prfl, psfl, rhcl,                                                 &
        &           zqasc, fraca,ztv,zpspsk,ztla,zthl,iflag_cldcon )
-      PRINT *,'    Lluis after fisrtilp k t_seri q_seri ql_seri ___'
-      DO k=1,klev
-        PRINT *,k, t_seri(llp,k), q_seri(llp,k), ql_seri(llp,k)
-      END DO
 
       WHERE (rain_lsc < 0) rain_lsc = 0.
@@ -3562,6 +3499,4 @@
       ENDIF
 !c
-      PRINT *,'  Lluis before calling radlwsw rmu0: ',rmu0(llp),   &
-        ' dist: ',dist,' frac: ',fract(llp),' jH_cur: ',jH_cur
          CALL radlwsw                                                                &
        &        (dist, rmu0, fract,                                                  &
@@ -3586,6 +3521,4 @@
        &        solsw_aero, solsw0_aero,                                             &
        &        topswcf_aero, solswcf_aero)
-      PRINT *,'  Lluis after calling radlwsw rmu0: ',rmu0(llp),   &
-        ' dist: ',dist,' frac: ',fract(llp),' jH_cur: ',jH_cur
          
 !c
@@ -4015,5 +3948,4 @@
       END IF 
       PRINT *,'  Lluis 11 d_h_vcol: ',d_h_vcol,' d_h_vcol_phy: ',d_h_vcol_phy
-      PRINT *,'Lluis Reaching the SORTIES point'
 
 !C
@@ -4234,9 +4166,4 @@
       endif
 
-      PRINT *,'  Lluis WRITING outputs! itap: ',itap,' itau_phy: ',itau_phy,         &
-        ' itau_w: ',itau_w
-      PRINT *,'  Lluis writting outputs qsol: ',qsol(llp),    &
-        ' ftsol: ',ftsol(llp,:)
-
 #include "phys_output_write_new.h"
 
@@ -4245,6 +4172,4 @@
 #include "write_histISCCP.h"
 #endif
-
-      PRINT *,'  Lluis WRITING histfiles!'
 
 #ifdef histNMC
@@ -4338,15 +4263,4 @@
 !      first=.false.
 
-! Lluis
-      PRINT *,'  Lluis: ',klev,'  UBOUNDS: ',UBOUND(t_seri),      &
-        UBOUND(u_seri), UBOUND(d_q_con), UBOUND(d_t_con)
-       PRINT *,'  Lluis llp ',llp,' itap: ',itap,' zlev t_seri ' // &
-         'u_seri d_q_con d_t_con_____'
-       DO i=1,klev
-         PRINT *,i,t_seri(llp,i), u_seri(llp,i), d_q_con(llp,i),    &
-           d_t_con(llp,i)
-       END DO 
-
-
       RETURN
       END SUBROUTINE physiq
Index: trunk/WRFV3/lmdz/physiq_limit_variables_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/physiq_limit_variables_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/physiq_limit_variables_mod.F90	(revision 186)
@@ -84,7 +84,4 @@
     ALLOCATE(ftsoil_rst(klon, nsoilmx, nbsrf))
 
-    PRINT *,'  Lluis in var_limit_init 315 qsurf_rst: ',qsurf_rst(315,:),   &
-      'qsol_rst: ',qsol_rst(315)
-
     RETURN
 
Index: trunk/WRFV3/lmdz/phytrac.F90
===================================================================
--- trunk/WRFV3/lmdz/phytrac.F90	(revision 185)
+++ trunk/WRFV3/lmdz/phytrac.F90	(revision 186)
@@ -266,6 +266,4 @@
   INTEGER,SAVE  :: iflag_lscav_omp,iflag_lscav
   LOGICAL,SAVE  :: convscav_omp,convscav
-
-  PRINT *,'  Lluis in phytrac type_trac: ',type_trac
 
 !$OMP THREADPRIVATE(iflag_lscav,convscav)
@@ -374,5 +372,4 @@
      CASE('lmdz')
         CALL traclmdz_init(pctsrf, xlat, xlon, ftsol, tr_seri, t_seri, pplay, sh, pdtphys, aerosol, lessivage)
-        PRINT *,'  Lluis ALLOCATED trs: ',ALLOCATED(trs)
 
      CASE('inca')
Index: trunk/WRFV3/lmdz/suphel.F90
===================================================================
--- trunk/WRFV3/lmdz/suphel.F90	(revision 185)
+++ trunk/WRFV3/lmdz/suphel.F90	(revision 186)
@@ -229,6 +229,4 @@
       R5IES=R3IES*(RTT-R4IES)
 
-      PRINT *,'Lluis exiting suphel!!!!'
-
 !C
       RETURN
Index: trunk/WRFV3/lmdz/surf_land_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/surf_land_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/surf_land_mod.F90	(revision 186)
@@ -149,5 +149,4 @@
 !
 !****************************************************************************************
-       PRINT *,'  Lluis before surf_land_bucket tsurf: ',tsurf(lpt), qsol(lpt)
        CALL surf_land_bucket(itime, jour, knon, knindex, debut, dtime,&
             tsurf, p1lay, cdragh, precip_rain, precip_snow, temp_air, &
@@ -157,5 +156,4 @@
             qsurf, z0_new, alb1_new, alb2_new, evap, &
             fluxsens, fluxlat, tsurf_new, dflux_s, dflux_l)
-       PRINT *,'  Lluis after surf_land_bucket tsurf: ',tsurf(lpt), qsol(lpt)
 
     ENDIF ! ok_veget
Index: trunk/WRFV3/lmdz/surf_ocean_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/surf_ocean_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/surf_ocean_mod.F90	(revision 186)
@@ -93,6 +93,4 @@
 !****************************************************************************************
 
-    PRINT *,'  Lluis in surf_ocean_mod lp: ',lp,' type_ocean: ',type_ocean,          &
-      ' tsurf_in: ',tsurf_in(lp)
 
 !****************************************************************************************
@@ -133,5 +131,4 @@
     CASE('force')
 
-       PRINT *,'  Lluis before ocean_forced_noice tsurf_new: ',tsurf_new(lp)
        CALL ocean_forced_noice( &
             itime, dtime, jour, knon, knindex, &
@@ -144,5 +141,4 @@
             qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
             tsurf_new, dflux_s, dflux_l)
-       PRINT *,'  Lluis after ocean_forced_noice tsurf_new: ',tsurf_new(lp)
     END SELECT
 
Index: trunk/WRFV3/lmdz/traclmdz_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/traclmdz_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/traclmdz_mod.F90	(revision 186)
@@ -552,6 +552,4 @@
     END IF
     
-    PRINT *,'  Lluis in traclmdz_mod BOUNDS tr_seri: ',UBOUND(tr_seri),' trs: ',UBOUND(trs)
-
     DO it=1, nbtr
        IF (couchelimite .AND. pbl_flg(it) == 0 .AND. (it==id_rn .OR. it==id_pb)) THEN 
Index: trunk/WRFV3/lmdz/wrf_lmdz_mod.F90
===================================================================
--- trunk/WRFV3/lmdz/wrf_lmdz_mod.F90	(revision 185)
+++ trunk/WRFV3/lmdz/wrf_lmdz_mod.F90	(revision 186)
@@ -929,7 +929,4 @@
 ! Filling all 2D variables
 !!
-    PRINT *,'  Lluis before get_lmdz: 5 11 ltksoil: ',pwrf_grid%ltksoil(5,:,11),     &
-      ' ftsol: ', pftsol(315,:)
-
     DO iy=1,ddy
       DO ix=1,ddx
@@ -1002,7 +999,4 @@
     CALL vect_mat(pentr_therm, dx, dy, ddz, bdy, pwrf_grid%lentr_therm)
     CALL vect_mat(pdetr_therm, dx, dy, ddz, bdy, pwrf_grid%ldetr_therm)
-
-    PRINT *,'  Lluis after get_lmdz: 5 11 ltksoil: ',pwrf_grid%ltksoil(5,:,11),      &
-      ' ftsol: ', pftsol(315,:)
 
     RETURN
@@ -1297,5 +1291,4 @@
         END DO
       END DO
-!      PRINT *,k,'  Lluis vect: ',vect(lp,k),mat(il,k,jl),' lp: ',lp,' il jl :',il,jl
     END DO
 
@@ -2443,6 +2436,4 @@
     RD = 287.
     RMO3=47.9942
-
-    PRINT *,'  Lluis in ' //TRIM(fname)//'!'
 
 ! Remove variable assignation already done in get_lmdz? These variables are not used 